Index: trunk/geant4/visualization/OpenGL/History
===================================================================
--- trunk/geant4/visualization/OpenGL/History	(revision 608)
+++ trunk/geant4/visualization/OpenGL/History	(revision 609)
@@ -1,3 +1,3 @@
-$Id: History,v 1.94 2007/08/21 14:05:50 allison Exp $
+$Id: History,v 1.100 2007/11/16 10:41:54 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -21,4 +21,54 @@
 -------------------------------------
 
+<<<<<<< History
+15 Nov 2007, Laurent Garnier
+ - G4UIQt,G4Qt : Adding a GEANT4_QT_DEBUG flag to hide all debug messages
+ - G4UIQt,G4Qt : Compilation improvements for Qt3
+ - G4UIQt,G4Qt : Minors corrections on G4UIQt helpWidget
+
+14 Nov 2007, Laurent Garnier
+ - G4OpenGLStoredQtViewer.cc : Correction of a bug with mouse move event in
+     Qt4
+ - G4OpenGLQtExportDialog_moc.cc, G4OpenGLQtViewer.cc, G4OpenGLQtViewer_moc.cc :
+     Adding protection for Qt version between 4.0 and 4.2
+
+13 Nov 2007, Laurent Garnier
+ - G4UIQt,G4Qt : Moving all moc in one big file interface/G4UIQT_moc.cc,
+   including Qt3 and Qt4 moc support
+
+09 Nov 2007, Laurent Garnier
+ - G4UIQt,G4Qt : Change all include directive to be compatible with Qt3
+
+08 Nov 2007, Laurent Garnier
+ - moc_G4OpenGLQtExportDialog.cc move in G4OpenGLQtExportDialog_moc.cc
+ - moc_G4OpenGLQtViewer.cc move to G4OpenGLQtViewer_moc.cc
+
+27 Sept 2007, Laurent Garnier
+ - Adding sur files for G4UIQt driver :
+   - G4OpenGLImmediateQt.cc
+   - G4OpenGLImmediateQtViewer.cc
+   - G4OpenGLQtExportDialog.cc
+   - G4OpenGLQtViewer.cc
+   - G4OpenGLStoredQt.cc
+   - G4OpenGLStoredQtViewer.cc
+   - moc_G4OpenGLQtExportDialog.cc
+   - moc_G4OpenGLQtViewer.cc
+
+=======
+15th November 2007  John Allison  (opengl-V09-00-03)
+- Re-introduced Qt files, now properly protected by cpp flags.
+- cpp flags also added to some other files not previously properly protected.
+
+13th November 2007  John Allison  (opengl-V09-00-02)
+- Removed Qt files from tag.  File are still at head - need fixing.
+
+10th November 2007  John Allison  (opengl-V09-00-01)
+- Moved WinSize_x, y to base class G4OpenGLViewer.
+- Minor improvement in guidance for /vis/ogl/printEPS.
+
+28th September 2007  lgarnier
+- first import of G4UI Qt files : Do not try to compil them
+
+>>>>>>> 1.99
 21st August 2007  John Allison  (opengl-V09-00-00)
 - Removed redundant G4OpenGLXViewerMessenger.
@@ -27,6 +77,4 @@
 - G4OpenGLSceneHandler and G4OpenGLXViewerMessenger:
   Fixed gcc-4.1.2 compiler warnings.
-
-G4OpenGLXViewer: Trapped glXMakeCurrent in Initialise function.
 
 25th May 2007  John Allison  (opengl-V08-03-02)
Index: trunk/geant4/visualization/OpenInventor/History
===================================================================
--- trunk/geant4/visualization/OpenInventor/History	(revision 608)
+++ trunk/geant4/visualization/OpenInventor/History	(revision 609)
@@ -1,3 +1,3 @@
-$Id: History,v 1.93 2007/04/03 13:35:48 allison Exp $
+$Id: History,v 1.94 2007/10/23 14:56:35 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -20,4 +20,8 @@
 History file for visualization/OpenInventor
 -------------------------------------------
+
+23rd October 2007  Gabriele Cosmo
+- Initialise local vectors in SoPolyhedron.cc to fix compilation warnings
+  on gcc-4.2.2 for use of non-initialised values.
 
 3rd April 2007  John Allison  (openinventor-V08-02-02 - needs visman-V08-02-03)
Index: trunk/geant4/visualization/OpenInventor/include/SoG4Polyhedron.h
===================================================================
--- trunk/geant4/visualization/OpenInventor/include/SoG4Polyhedron.h	(revision 608)
+++ trunk/geant4/visualization/OpenInventor/include/SoG4Polyhedron.h	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: SoG4Polyhedron.h,v 1.2 2006/12/13 15:49:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// $Id: SoG4Polyhedron.h,v 1.3 2007/09/17 16:08:00 gcosmo Exp $
+// GEANT4 tag $Name:  $
 //
 // John Allison  26th October 2006
@@ -35,5 +35,5 @@
 
 // Inheritance :
-#include <Geant4_SoPolyhedron.h>
+#include "Geant4_SoPolyhedron.h"
 #include "G4AttHolder.hh"
 
Index: trunk/geant4/visualization/OpenInventor/src/SoPolyhedron.cc
===================================================================
--- trunk/geant4/visualization/OpenInventor/src/SoPolyhedron.cc	(revision 608)
+++ trunk/geant4/visualization/OpenInventor/src/SoPolyhedron.cc	(revision 609)
@@ -129,5 +129,5 @@
      SoTextureCoordinateElement::FUNCTION);
   const SoTextureCoordinateElement *tce = NULL;
-  SbVec4f texCoord;
+  SbVec4f texCoord(0.,0.,0.,0.);
   if (useTexFunction) {
     tce = SoTextureCoordinateElement::getInstance(state);
@@ -416,5 +416,5 @@
     int32_t* coords = new int32_t[ncoord];
 
-    SbVec3f pvb,pve;
+    SbVec3f pvb(0.,0.,0.), pve(0.,0.,0.);
 
     SbBool empty = TRUE;
Index: trunk/geant4/visualization/management/History
===================================================================
--- trunk/geant4/visualization/management/History	(revision 608)
+++ trunk/geant4/visualization/management/History	(revision 609)
@@ -1,3 +1,3 @@
-$Id: History,v 1.101 2007/07/10 17:52:25 allison Exp $
+$Id: History,v 1.102 2007/11/10 15:05:46 allison Exp $
 
 -------------------------------------------------------------------
@@ -26,4 +26,8 @@
 History file for visualization management sub-category
 ------------------------------------------------------
+
+10th November 2007  John Allison  (visman-V09-00-01)
+- G4VisManager.cc: Minor improvement in messaging.
+- G4VisCommandsScene.cc: Improvements in /vis/scene/endOfEventAction messaging.
 
 10th July 2007  John Allison  (visman-V09-00-00)
Index: trunk/geant4/visualization/vis.mac
===================================================================
--- trunk/geant4/visualization/vis.mac	(revision 608)
+++ trunk/geant4/visualization/vis.mac	(revision 609)
@@ -18,5 +18,5 @@
 # Use this open statement to get an .eps and .prim files
 # suitable for viewing in DAWN.
-/vis/open DAWNFILE
+###/vis/open DAWNFILE
 #
 # Use this open statement instead for OpenGL in immediate mode.
Index: trunk/geant4/visualization/visTutor/exN03Vis12.loop
===================================================================
--- trunk/geant4/visualization/visTutor/exN03Vis12.loop	(revision 608)
+++ trunk/geant4/visualization/visTutor/exN03Vis12.loop	(revision 609)
@@ -2,3 +2,3 @@
 /vis/ogl/set/startTime {startTime} ns {timeRange} ns
 # Print eps file
-#/vis/oglx/printEPS
+#/vis/ogl/printEPS
Index: trunk/geant4/visualization/visTutor/exN03Vis12.mac
===================================================================
--- trunk/geant4/visualization/visTutor/exN03Vis12.mac	(revision 608)
+++ trunk/geant4/visualization/visTutor/exN03Vis12.mac	(revision 609)
@@ -1,70 +1,97 @@
 #######################################################################
-#  MACRO FILE NAME: exN03Vis12.mac                                     #
+#  MACRO FILE NAME: exN03Vis12.mac                                    #
 #                                                                     #
-#  AUTHOR(S): Laurent Garnier                                         #
+#  AUTHOR(S): John Allison                                            #
 #                                                                     #
-#  DATE: July 01, 2007                                                #
+#  DATE: 16th August 2006                                             #
 #                                                                     #
-#  CONTENTS: A basic macro for demonstrating Inventor driver          #
+#  CONTENTS: A basic macro for demonstrating time slicing             #
 #                                                                     #
-#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac            #
+#  USAGE:  % $G4BINDIR/exampleN03  visTutor/exN03Vis12.mac             #
 #                                                                     #
-#  REQUIRED PLATFORMS & SOFTWARES: Unix, Motif, X-window, OpenGL,Qt   #
-#                                  HEPVis                             #
-#                                  Inventor (TGS or SoFree)           #
+#  REQUIRED PLATFORMS & SOFTWARES: Mac/Unix with X-Windows, OpenGL    #
 #                                                                     #
-#  ENVIRONMENTAL VARIABLES (C-MACROS) FOR INSTALLATION:               #
-#  (See geant4/source/visualization/README for details.)              #
-#                                                                     #
-#    % setenv G4VIS_BUILD_OIX_DRIVER       1                          # 
-#                                                                     #
-#  ENVIRONMENTAL VARIABLES (C-MACROS) FOR COMPILATION:                #
-#  (See geant4/source/visualization/README for details.)              #
-#                                                                     #
-#    % setenv G4VIS_USE_OIQT               1                          #
-#                                                                     # 
 #  ADDITIONAL NOTES:                                                  #
 #                                                                     # 
 #######################################################################
 
-# Create "scene-0" 
-/vis/scene/create
+/control/verbose 2
+/vis/verbose confirmations
 
-# Invoke the OpenInventor driver 
-/vis/sceneHandler/create OGLIQT
-/vis/viewer/create
+/vis/open OGLSX
+/vis/drawVolume
+/vis/scene/add/eventID
+/vis/scene/add/trajectories rich
 
-# Add the world volume to the current scene
-/vis/scene/add/volume
-#/vis/scene/add/volume Layer
-# Name of the absorbers = name of their material (Lead) !
-#/vis/scene/add/volume Lead
-# Name of the gaps = name of their material (liquidArgon) !
-#/vis/scene/add/volume liquidArgon
-#/vis/scene/add/trajectories
-/tracking/storeTrajectory 1
+# Set up drawByCharge with time slicing
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 5
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawAuxPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setAuxPtsSize 5
+/vis/modeling/trajectories/drawByCharge-0/default/setTimeSliceInterval 0.001 ns
+/vis/modeling/trajectories/list
+#/N03/det/setField 5 T
+#/N03/det/update
+/run/beamOn
 
-# Bird-eye view of events
-/vis/viewer/reset
-/vis/viewer/set/viewpointThetaPhi   45 45 
+# Configure OpenGL for display-by-time
+/vis/ogl/set/fade 1
+/vis/ogl/set/displayHeadTime true
+/control/alias timeRange 0.1
+/vis/verbose warnings
+/control/verbose 0
+/control/loop visTutor/exN03Vis12.loop startTime -{timeRange} 0.7 0.005
+/control/verbose 2
+/vis/verbose confirmations
+/vis/ogl/set/displayHeadTime false
 
-/vis/scene/notifyHandlers
+# Set up drawByParticleID with time slicing
+/vis/modeling/trajectories/create/drawByParticleID
+/vis/modeling/trajectories/drawByParticleID-0/set e- red
+/vis/modeling/trajectories/drawByParticleID-0/set e+ blue
+/vis/modeling/trajectories/drawByParticleID-0/set pi- cyan
+/vis/modeling/trajectories/drawByParticleID-0/set pi+ magenta
+#/vis/modeling/trajectories/drawByParticleID-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByParticleID-0/default/setStepPtsSize 5
+#/vis/modeling/trajectories/drawByParticleID-0/default/setDrawAuxPts true
+/vis/modeling/trajectories/drawByParticleID-0/default/setAuxPtsSize 5
+/vis/modeling/trajectories/drawByParticleID-0/default/setTimeSliceInterval 0.001 ns
+/vis/modeling/trajectories/list
 
+# Remove gammas
+/vis/filtering/trajectories/create/particleFilter
+/vis/filtering/trajectories/particleFilter-0/add gamma
+/vis/filtering/trajectories/particleFilter-0/invert true
+
+/gun/energy 1 GeV
+/run/beamOn
+/control/alias timeRange 0.1
+/vis/ogl/set/displayHeadTime true
+/vis/ogl/set/displayLightFront true -90 0 0 mm
+/vis/verbose warnings
+/control/verbose 0
+/control/loop visTutor/exN03Vis12.loop startTime -{timeRange} 0.7 0.001
 /control/verbose 2
-#######################################################################
-#   Controls on an Inventor examiner viewer are :                     #
-#  - in picking mode (cursor is the upper left arrow)                 #
-#   Ctrl + pick a volume : see daughters.                             #
-#   Shift + pick a volume : see mother.                               #
-#  - in viewing mode (cursor is the hand)                             #
-#   Left-button + pointer move : rotate.                              #
-#   Ctrl+Left-button + pointer move : pane.                           #
-#   Ctrl+Shift+Left-button + pointer move : scale.                    #
-#   Middle-button + pointer move : pane.                              #
-#                                                                     #
-#######################################################################
+/vis/verbose confirmations
+/vis/ogl/set/displayLightFront false
+/vis/ogl/set/displayHeadTime false
 
-/vis/viewer/update
-
-/run/beamOn 1
-
+# To see pi -> mu -> e decay.
+/gun/particle pi+
+/vis/filtering/trajectories/particleFilter-0/add anti_nu_mu
+/vis/filtering/trajectories/particleFilter-0/add nu_mu
+/vis/filtering/trajectories/particleFilter-0/add anti_nu_e
+/vis/filtering/trajectories/particleFilter-0/add nu_e
+# Accumulate several events for effect
+# /vis/scene/endOfEventAction accumulate
+/gun/energy 100 MeV
+#/vis/viewer/set/globalLineWidthScale 2
+/run/beamOn
+/control/alias timeRange 1000
+/vis/ogl/set/displayHeadTime true
+/vis/verbose warnings
+/control/verbose 0
+/control/loop visTutor/exN03Vis12.loop startTime -{timeRange} 3000 5
+/control/verbose 2
+/vis/verbose confirmations
Index: trunk/geant4/visualization/visTutor/exN03Vis13.loop
===================================================================
--- trunk/geant4/visualization/visTutor/exN03Vis13.loop	(revision 608)
+++ trunk/geant4/visualization/visTutor/exN03Vis13.loop	(revision 609)
@@ -5,3 +5,3 @@
 /vis/viewer/refresh
 # Print eps file
-#/vis/oglx/printEPS
+#/vis/ogl/printEPS
Index: trunk/geant4/visualization/visTutor/gui.mac
===================================================================
--- trunk/geant4/visualization/visTutor/gui.mac	(revision 608)
+++ trunk/geant4/visualization/visTutor/gui.mac	(revision 609)
@@ -33,5 +33,5 @@
 /gui/addButton vis Vis3(OGLSX) "/control/execute visTutor/exN03Vis3.mac"
 /gui/addButton vis Vis4(OGLIX) "/control/execute visTutor/exN03Vis4.mac"
-/gui/addButton vis Vis12(OGLIQT) "/control/execute visTutor/exN03Vis12.mac"
+/gui/addButton vis Vis15(OGLIQT) "/control/execute visTutor/exN03Vis15.mac"
 /gui/addButton vis Vis14(OGLSQT) "/control/execute visTutor/exN03Vis14.mac"
 /gui/addButton vis Vis5(OIX)   "/control/execute visTutor/exN03Vis5.mac"
